Skip to main content
GET
/
auth
/
oauth
/
authorize
/
{provider_id}
OAuth authorize endpoint
curl --request GET \
  --url https://api.stack-auth.com/api/v1/auth/oauth/authorize/{provider_id}
{
  "location": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

provider_id
string
required

Query Parameters

type
enum<string>
default:authenticate
Available options:
authenticate,
link
token
string
default:""
provider_scope
string
error_redirect_uri
string
after_callback_redirect_url
string
stack_response_mode
enum<string>

Response mode for the OAuth authorize endpoint. Defaults to 'redirect' if not provided.

Available options:
json,
redirect
hexclave_response_mode
enum<string>

Response mode for the OAuth authorize endpoint. Defaults to 'redirect' if not provided.

Available options:
json,
redirect
bot_challenge_token
string
bot_challenge_phase
enum<string>
Available options:
invisible,
visible
bot_challenge_unavailable
enum<string>
Available options:
true
client_id
string
required
client_secret
string
required
redirect_uri
string
required
scope
string
required
state
string
required
grant_type
enum<string>
required
Available options:
authorization_code
code_challenge
string
required
code_challenge_method
string
required
response_type
string
required

Response

Successful response

location
string
required